> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/deposits-api/saving-cards-card-on-file/retrieve-a-stored-card.md).

# Retrieve a stored card

## Retrieve Token Information

> Fetches basic information about a previously tokenized credit card using its unique identifier.

```json
{"openapi":"3.0.0","info":{"title":"Card Tokenization API","version":"3.0.0"},"servers":[{"url":"https://cc-api-stg.onekeypayments.com","description":"Staging environment"}],"security":[{"apiKeyAuth":[]},{"authHeader":[]}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"X-Login"},"authHeader":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"CustomError":{"type":"object","properties":{"code":{"type":"integer","description":"Unique error code"},"description":{"type":"string","description":"Error description"}},"required":["code","description"]}}},"paths":{"/v3/tokenization/{card_identifier}":{"get":{"summary":"Retrieve Token Information","description":"Fetches basic information about a previously tokenized credit card using its unique identifier.","parameters":[{"in":"path","name":"card_identifier","required":true,"schema":{"type":"string"},"description":"The unique card token obtained during tokenization"},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","default":"application/json"},"description":"Media type of the body sent to the API"},{"in":"header","name":"X-Date","required":true,"schema":{"type":"string","format":"date-time"},"description":"ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)"},{"in":"header","name":"X-Login","required":true,"schema":{"type":"string"},"description":"Merchant X-Login API Key"},{"in":"header","name":"Authorization","required":true,"schema":{"type":"string"},"description":"Authorization control hash"},{"in":"header","name":"X-Idempotency-Key","required":false,"schema":{"type":"string"},"description":"Unique idempotency key for ensuring that the same request is not processed more than once"}],"responses":{"200":{"description":"Successfully retrieved card information","content":{"application/json":{"schema":{"type":"object","properties":{"holder_name":{"type":"string","description":"Cardholder name"},"expiration_month":{"type":"integer","description":"Expiration month","minimum":1,"maximum":12},"expiration_year":{"type":"integer","description":"Expiration year"},"last_four_digits":{"type":"string","pattern":"^\\d{4}$","description":"Last four digits of the card"},"brand":{"type":"string","description":"The card brand"},"first_six":{"type":"string","pattern":"^\\d{6}$","description":"The first six digits (BIN) of the card"}},"required":["holder_name","expiration_month","expiration_year","last_four_digits","brand","first_six"]}}}},"400":{"description":"Invalid request format","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomError"}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomError"}}}}}}}}}
```
